<?php require_once('../../Connections/cn.php'); ?>
<?php
$sede=$_GET['sede'];
$id_periodo=$_GET['id_periodo']; 
$id_carrera=$_GET['id_carrera'];
	mysql_select_db($database_cn,$cn); 
	 mysql_query ("SET NAMES 'utf8'");
	$sql1 = "select nombre_sede from sedes where codigo='$sede'";
	$rs1=mysql_query($sql1,$cn);
	$row1=mysql_fetch_array($rs1);
	$nombre_sede=$row1['nombre_sede'];
	
	$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo FROM periodos WHERE id_periodo='$id_periodo'";
	$rstPeriodos = mysql_query($query_rstPeriodos, $cn) or die(mysql_error());
	$rowPeriodos = mysql_fetch_assoc($rstPeriodos);
	$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);
	$nombre_periodo=$rowPeriodos['codigo'];


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);
// Se obtiene las materias de la Carrera.
// Se obtienen las materias que el alumno ha cursado.
/*mysql_select_db($database_cn, $cn);
$query = "SELECT
semestre,id_materia,nombre_materia,uc
FROM
materias
WHERE
materias.id_carrera = '$carrera'
ORDER BY
materias.semestre Asc,
materias.orden Asc";
// Ejecuta el Query.
$result1 = mysql_query ($query ) or die (mysql_error()); 
// Numero de Materias cursadas por el alumno.
$totalRows = mysql_num_rows($result1);
*/ 
// Se obtienen las materias que el alumno ha cursado.

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."                             UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE".'</b>',14,array('justification'=>'left'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."    CARGA ACADEMICA".'</b>'),16,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'."            SEDE: ".'</b>'.$nombre_sede,10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."            PERIODO: ".'</b>'.$nombre_periodo,10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->addText(480,645,9,"Fecha: ".date("d/m/Y"));
$pdf->ezsetdy(-5);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4,4,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'Nro.',
			  'prof'=>'            Profesor', 
			  'carrera'=>'                   Carrera', 
              'materia'=>'                         Materia', 
              'seccion'=>'      Secci�n'); 
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
	mysql_select_db($database_cn, $cn);
	$query1 = "Select
	oferta_academica.nprofesor,
	oferta_academica.ncarrera,
	oferta_academica.nmateria,
	oferta_academica.id_seccion
	From
	oferta_academica
	where
	sede='$sede' AND id_periodo='$id_periodo'
	Order By 
	oferta_academica.id_profesor,oferta_academica.id_carrera,oferta_academica.id_materia";
	// Ejecuta el Query.
	$result1 = mysql_query ($query1) or die (mysql_error()); 
		
	while ($row1 = mysql_fetch_row($result1)) {
		$prof    = $row1[0];    // nota 
		$prof_aux= $row1[0];
		$carrera   = $row1[1];    // nota  
        $materia= $row1[2];
		$seccion = $row1[3];    // nota
        $smc = $smc + 1; 
        // Aqui se agregan las variables formateadas al array
	     $data[] = array('nro'=>$smc,
	                   'prof'=>$prof, 
                       'carrera'=>$carrera, 
                       'materia'=>$materia, 
				       'seccion'=>$seccion);
		
	}		
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'right') 
			 ,'prof'=>array('justification'=>'left') 
             ,'carrera'=>array('justification'=>'left') 
             ,'materia'=>array('justification'=>'left')
             ,'seccion'=>array('justification'=>'center')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    /*// Facilitador(a).
    $pdf->Rectangle(58,25,500,185);
    $pdf->addText(280,201,8,'Cr�ditos Cursados)');
	$pdf->line(58,197,558,197); 
	$pdf->addText(65,190,7,'Nombres y Apellidos');
	$pdf->addText(400,190,7,'Fecha');
	$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(430,180,7,'____/____/______ ');
	$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(400,170,7,'Firma');
	$pdf->addText(65,160,9,$id_docente);
	$pdf->line(58,158,558,158); 
	// Coordinador General del Programa.
	$pdf->addText(245,149,8,'Coordinaci�n General del Programa');
	$pdf->line(58,145,558,145); 
	$pdf->addText(65,138,7,'Nombres y Apellidos');
	$pdf->addText(400,138,7,'Fecha');
	$pdf->addText(430,128,7,'____/____/______ ');
	$pdf->addText(65,118,7,'C�dula o Pasaporte');
	$pdf->addText(400,118,7,'Firma');
	$pdf->line(58,105,558,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,'Direcci�n de Post-Grado');
	$pdf->line(58,92,558,92); 
	$pdf->addText(65,82,7,'Nombres y Apellidos');
	$pdf->addText(400,82,7,'Fecha');
	$pdf->addText(65,72,9,'');
	$pdf->addText(430,72,7,'____/____/______ ');
	$pdf->addText(65,62,7,'C�dula o Pasaporte');
	$pdf->addText(400,62,7,'Firma');
	$pdf->line(58,49,558,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(65,42,5,'Escala de Evaluaci�n: Del Uno (1) al Cinco (5)');
	$pdf->addText(380,42,5,'V�B� REGISTRO ACAD�MICO');
	$pdf->addText(65,35,5,'Calificaci�n M�nima Aprobatoria: Tres (3) puntos');
	$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');*/
}
?> 